<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: operations.proto

namespace Tinkoff\Invest\V1;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 *Текущий портфель по счёту.
 *
 * Generated from protobuf message <code>tinkoff.public.invest.api.contract.v1.PortfolioResponse</code>
 */
class PortfolioResponse extends \Google\Protobuf\Internal\Message
{
    /**
     *Общая стоимость акций в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_shares = 1;</code>
     */
    protected $total_amount_shares = null;
    /**
     *Общая стоимость облигаций в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_bonds = 2;</code>
     */
    protected $total_amount_bonds = null;
    /**
     *Общая стоимость фондов в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_etf = 3;</code>
     */
    protected $total_amount_etf = null;
    /**
     *Общая стоимость валют в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_currencies = 4;</code>
     */
    protected $total_amount_currencies = null;
    /**
     *Общая стоимость валют в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_futures = 5;</code>
     */
    protected $total_amount_futures = null;
    /**
     *Текущая доходность портфеля
     *
     * Generated from protobuf field <code>float expected_yield = 6;</code>
     */
    protected $expected_yield = 0.0;
    /**
     *Список позиций портфеля
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.PortfolioPosition positions = 7;</code>
     */
    private $positions;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type \Tinkoff\Invest\V1\MoneyValue $total_amount_shares
     *          Общая стоимость акций в портфеле в рублях
     *     @type \Tinkoff\Invest\V1\MoneyValue $total_amount_bonds
     *          Общая стоимость облигаций в портфеле в рублях
     *     @type \Tinkoff\Invest\V1\MoneyValue $total_amount_etf
     *          Общая стоимость фондов в портфеле в рублях
     *     @type \Tinkoff\Invest\V1\MoneyValue $total_amount_currencies
     *          Общая стоимость валют в портфеле в рублях
     *     @type \Tinkoff\Invest\V1\MoneyValue $total_amount_futures
     *          Общая стоимость валют в портфеле в рублях
     *     @type float $expected_yield
     *          Текущая доходность портфеля
     *     @type \Tinkoff\Invest\V1\PortfolioPosition[]|\Google\Protobuf\Internal\RepeatedField $positions
     *          Список позиций портфеля
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Operations::initOnce();
        parent::__construct($data);
    }

    /**
     *Общая стоимость акций в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_shares = 1;</code>
     * @return \Tinkoff\Invest\V1\MoneyValue
     */
    public function getTotalAmountShares()
    {
        return $this->total_amount_shares;
    }

    /**
     *Общая стоимость акций в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_shares = 1;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue $var
     * @return $this
     */
    public function setTotalAmountShares($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->total_amount_shares = $var;

        return $this;
    }

    /**
     *Общая стоимость облигаций в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_bonds = 2;</code>
     * @return \Tinkoff\Invest\V1\MoneyValue
     */
    public function getTotalAmountBonds()
    {
        return $this->total_amount_bonds;
    }

    /**
     *Общая стоимость облигаций в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_bonds = 2;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue $var
     * @return $this
     */
    public function setTotalAmountBonds($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->total_amount_bonds = $var;

        return $this;
    }

    /**
     *Общая стоимость фондов в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_etf = 3;</code>
     * @return \Tinkoff\Invest\V1\MoneyValue
     */
    public function getTotalAmountEtf()
    {
        return $this->total_amount_etf;
    }

    /**
     *Общая стоимость фондов в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_etf = 3;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue $var
     * @return $this
     */
    public function setTotalAmountEtf($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->total_amount_etf = $var;

        return $this;
    }

    /**
     *Общая стоимость валют в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_currencies = 4;</code>
     * @return \Tinkoff\Invest\V1\MoneyValue
     */
    public function getTotalAmountCurrencies()
    {
        return $this->total_amount_currencies;
    }

    /**
     *Общая стоимость валют в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_currencies = 4;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue $var
     * @return $this
     */
    public function setTotalAmountCurrencies($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->total_amount_currencies = $var;

        return $this;
    }

    /**
     *Общая стоимость валют в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_futures = 5;</code>
     * @return \Tinkoff\Invest\V1\MoneyValue
     */
    public function getTotalAmountFutures()
    {
        return $this->total_amount_futures;
    }

    /**
     *Общая стоимость валют в портфеле в рублях
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue total_amount_futures = 5;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue $var
     * @return $this
     */
    public function setTotalAmountFutures($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->total_amount_futures = $var;

        return $this;
    }

    /**
     *Текущая доходность портфеля
     *
     * Generated from protobuf field <code>float expected_yield = 6;</code>
     * @return float
     */
    public function getExpectedYield()
    {
        return $this->expected_yield;
    }

    /**
     *Текущая доходность портфеля
     *
     * Generated from protobuf field <code>float expected_yield = 6;</code>
     * @param float $var
     * @return $this
     */
    public function setExpectedYield($var)
    {
        GPBUtil::checkFloat($var);
        $this->expected_yield = $var;

        return $this;
    }

    /**
     *Список позиций портфеля
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.PortfolioPosition positions = 7;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getPositions()
    {
        return $this->positions;
    }

    /**
     *Список позиций портфеля
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.PortfolioPosition positions = 7;</code>
     * @param \Tinkoff\Invest\V1\PortfolioPosition[]|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setPositions($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Tinkoff\Invest\V1\PortfolioPosition::class);
        $this->positions = $arr;

        return $this;
    }

}

